MLD6QUERY(8)

NAME
mld6query - send multicast listener query

SYNOPSIS
mld6query [-dr] intface [maddr]

DESCRIPTION
mld6query sends an IPv6 multicast listener discovery (MLD) query packet toward the specified multicast address, maddr, toward interface intface. If you omit maddr, linklocal all nodes multicast address(ff02::1) is used.

After sending a query, mld6query waits for replies for at most 10 seconds. If a reply is returned, mld6query prints it with its type and then waits for another reply.

This program is provided only for debugging. It is not necessary for normal use.

With -d, mld6query will transmit MLD done packet instead of MLD query packet. With -r, similarly, MLD report packet will be transmitted. -dr options are for debugging purposes only.

EXIT STATUS

HISTORY
The mld6query command first appeared in WIDE/KAME IPv6 protocol stack kit.

BUGS
mld6query does not take care of multicast addresses which have non link-local scope.